org.apache.felix.gogo.command

## Class Util

- java.lang.Object
- - org.apache.felix.gogo.command.Util

    public class Util
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Util()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `compareSubstring(List<String> pieces, String s)`
`static void` `copy(InputStream is, File dir, String destName, String destDir, byte[] buffer)`
`static String` `getBundleName(org.osgi.framework.Bundle bundle)`
`static <T> T` `getService(org.osgi.framework.BundleContext bc, Class<T> clazz, List<org.osgi.framework.ServiceReference<?>> refs)`
`static String` `getUnderlineString(int len)`
`static String` `getValueString(Object obj)`
`static List<String>` `parseSubstring(String value)`
`static String` `resolveUri(org.apache.felix.service.command.CommandSession session, String relativeUri)` Intepret a string as a URI relative to the current working directory.
`static void` `ungetServices(org.osgi.framework.BundleContext bc, List<org.osgi.framework.ServiceReference<?>> refs)`
`static void` `unjar(JarInputStream jis, File dir)`
`static String` `unparseSubstring(List<String> pieces)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Util

    public Util()

### Method Detail

#### getBundleName

    public static String getBundleName(org.osgi.framework.Bundle bundle)

#### getUnderlineString

    public static String getUnderlineString(int len)

#### getValueString

    public static String getValueString(Object obj)

#### getService

    public static <T> T getService(org.osgi.framework.BundleContext bc,
                                   Class<T> clazz,
                                   List<org.osgi.framework.ServiceReference<?>> refs)

#### ungetServices

    public static void ungetServices(org.osgi.framework.BundleContext bc,
                                     List<org.osgi.framework.ServiceReference<?>> refs)

#### unjar

    public static void unjar(JarInputStream jis,
                             File dir)
                      throws IOException

Throws:
  `IOException`

#### copy

    public static void copy(InputStream is,
                            File dir,
                            String destName,
                            String destDir,
                            byte[] buffer)
                     throws IOException

Throws:
  `IOException`

#### parseSubstring

    public static List<String> parseSubstring(String value)

#### unparseSubstring

    public static String unparseSubstring(List<String> pieces)

#### compareSubstring

    public static boolean compareSubstring(List<String> pieces,
                                           String s)

#### resolveUri

    public static String resolveUri(org.apache.felix.service.command.CommandSession session,
                                    String relativeUri)
                             throws IOException

Intepret a string as a URI relative to the current working directory.

Parameters:
  `session` - the session (where the CWD is stored)
  `relativeUri` - the input URI
Returns:
  the resulting URI as a string
Throws:
  `IOException`